#
# Note that this is NOT a relocatable package
#
%define ver      0.91alpha2
%define rel      1
%define prefix   /usr/local
%define name	 exult

Summary: Ultima VII Engine
Name: %name
Version: %ver
Release: %rel
Copyright: GPL
Group: Amusements/Games
Source: http://download.sourceforge.net/projects/exult/exult-%{ver}.tar.gz
BuildRoot: /var/tmp/exult
Obsoletes: exult
Packager: Tristan Tarrant <nadir@users.sourceforge.net>
URL: http://exult.sourceforge.net
Prereq: /sbin/install-info
Prefix: %{prefix}
Docdir: %{prefix}/doc
Requires: SDL >= 1.1.7

%description
Exult: an implementation of the Ultima VII engine for modern Operating Systems.

%changelog
* Tue Nov 7 2000  Tristan Tarrant <nadir@users.sourceforge.net>

- A few fixes

* Sat Sep 9 2000  Tristan Tarrant <nadir@users.sourceforge.net>

- Install exult.flx in the right place

* Tue Jul 11 2000  Tristan Tarrant <nadir@users.sourceforge.net>

- Created the .spec file

%prep
%setup

%build
# Needed for snapshot releases.
if [ ! -f configure ]; then
  ./autogen.sh
fi
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%prefix --sysconfdir=$RPM_BUILD_ROOT/etc

if [ "$SMP" != "" ]; then
  (make "MAKE=make -k -j $SMP"; exit 0)
  make
else
  make
fi

%install
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT%{prefix} install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{prefix}/bin/*
%{prefix}/share/exult/exult.flx
%{prefix}/share/exult/midisfx.flx
